From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 26 January 2013<P>

Ravenheart, about <a href="/blend/wv.cgi?id=2013.01.23.10.20.24193">I will forget you</a>:<BR>
<BR>
THIS ONE IS A MASTERPIECE -<BR>
LIKE The Last Display  at the end of a Firework show.   I can't think of a<BR>
poem to top this one.  You said it all.<BR>
What a clever way to describe the end<BR>
of a relationship.<BR>
<BR>
Harem.<BR>
<BR>
.
<HR>
From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 26 January 2012<P>

i'm just him, about <a href="/blend/wv.cgi?id=2012.12.13.20.36.3444">She found me</a>:<BR>
<BR>
I like this one - Definitely front page material.
<HR>
From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 26 January 2013<P>

B.K., about <a href="/blend/wv.cgi?id=2013.01.01.15.30.29277">Cheesecake~</a>:<BR>
<BR>
I like this one.  The picture is as Delicious as the poem.<BR>
<BR>
Harem.<BR>

<HR>
From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 26 January 2012<P>

Star of David, about <a href="/blend/wv.cgi?id=2012.12.17.03.15.1408">I lost you</a>:<BR>
<BR>
I like the comparison of lost to keys and earrings.  Especially the earrings, because there isn't a woman alive who has ever come home and ralized upon undressing that one of her earrings is missing and she doesn't know when it happened or where - but most likely it is lost forever, never to be found again.<BR>
<BR>
Harem<BR>
<BR>
.
<HR>